Subject: [bug#48434] [PATCH] guile: allow pre-inst-env inject local paths

From: Sergei Trofimovich <[email-masked]>
Date: Tue, 17 Aug 2021 18:42:05 +0100

On Tue, 17 Aug 2021 15:59:05 +0200
Maxime Devos <[email-masked]> wrote:

> > Ah. I did install patched guix into the system (and that's how
> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=50090).
> > 
> > I still don't quite understand if channel we pull from also should be patched.
> > Let's assume it should:
> > 
> >   $ LANG=C ./pre-inst-env guix pull --url=. --commit=e9029ed5eae45ee8f53f055ee66f9bce353cac84 --root=guix0
> >   guix pull: error: root=guix0: unrecognized option
> > 
> > I'm not sure what --root= does. Is it a user name? Or a profile name?  
> 
> I forgot the exact option, it should have been "--profile=guix0".
> From (guix)Submitting patches:
> 
>   15. Make sure your changes do not break Guix and simulate a ‘guix
>      pull’ with:
>           guix pull --url=/path/to/your/checkout --profile=/tmp/guix.master
> 

Aha, thank you! That works:

$                guix pull --commit=... --url=${PWD} --profile=/tmp/g1.master --disable-authentication
$ ./pre-inst-env guix pull --commit=... --url=${PWD} --profile=/tmp/g2.master --disable-authentication

-- 

  Sergei